commit:     ecb9c2d60613467e1512ed91632d4647b44dda15
Author:     Stephen Shkardoon <ss23 <AT> ss23 <DOT> geek <DOT> nz>
AuthorDate: Sun Jun 17 16:51:00 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Jun 17 18:44:25 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ecb9c2d6

net-libs/libtorrent: version bump to 0.13.7

Remove IPv6 USE flag, as this is no longer compile time configurable

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 net-libs/libtorrent/Manifest                 |  1 +
 net-libs/libtorrent/libtorrent-0.13.7.ebuild | 67 ++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/net-libs/libtorrent/Manifest b/net-libs/libtorrent/Manifest
index f2606250960..edb5f26ca27 100644
--- a/net-libs/libtorrent/Manifest
+++ b/net-libs/libtorrent/Manifest
@@ -1 +1,2 @@
 DIST libtorrent-0.13.6.tar.gz 781253 BLAKE2B 
f5293309b0e6b64a3659ea839528f94b346e1698f6892383b11f30b6d10d161d88582159ac9f4b1864d47e5f8c84cb3830376dde531d84c47327e7c342c75bbb
 SHA512 
b8aea4060357a8a40d15d42f1f698ef6f3ebdc885000bfbfa5bf9c81af8c88b5503a107e05c214e3e8489126928d336356c5e7e0eaf836b6b84a3cf74633b050
+DIST libtorrent-0.13.7.tar.gz 782854 BLAKE2B 
940e6162567d391f3d05034bf6d7d55a40070da7e2fd3279b1aa6acd169ca2783e7a2040efc472285f918c434e74380ec40fcddb823871ecf441c85670b9f273
 SHA512 
7bf3e87dbd19eb4e6806dff8a01c3ec61ea960bbd809d4bcbee96a46e169f97d0baf0fc85ab4a1efbbab07850e9b1060bae46c453ea6c42f5c23f8d921295efb

diff --git a/net-libs/libtorrent/libtorrent-0.13.7.ebuild 
b/net-libs/libtorrent/libtorrent-0.13.7.ebuild
new file mode 100644
index 00000000000..c445dc1ae3f
--- /dev/null
+++ b/net-libs/libtorrent/libtorrent-0.13.7.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools toolchain-funcs
+
+DESCRIPTION="BitTorrent library written in C++ for *nix"
+HOMEPAGE="https://rakshasa.github.io/rtorrent/";
+SRC_URI="http://rtorrent.net/downloads/${P}.tar.gz";
+
+LICENSE="GPL-2"
+
+# The README says that the library ABI is not yet stable and dependencies on
+# the library should be an explicit, syncronized version until the library
+# has had more time to mature. Until it matures we should not include a soname
+# subslot.
+SLOT="0"
+
+KEYWORDS="~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd 
~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos 
~sparc-solaris ~x64-solaris"
+IUSE="debug libressl ssl test"
+
+RDEPEND="
+       sys-libs/zlib
+       >=dev-libs/libsigc++-2.2.2:2
+       ssl? (
+           !libressl? ( dev-libs/openssl:0= )
+           libressl? ( dev-libs/libressl:= )
+       )"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig
+       dev-util/cppunit"
+
+PATCHES=(
+       
"${FILESDIR}/${PN}-0001-Fix-the-DH-parameters-generation-with-OpenSSL-1.1.patch"
+       "${FILESDIR}/${PN}-openssl-1.1-part2.patch"
+       "${FILESDIR}/${PN}-openssl-1.1-part3.patch"
+)
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       # bug 518582
+       local disable_instrumentation
+       echo -e "#include <inttypes.h>\nint main(){ int64_t var = 7; 
__sync_add_and_fetch(&var, 1); return 0;}" > "${T}/sync_add_and_fetch.c" || die
+       $(tc-getCC) ${CFLAGS} -o /dev/null -x c "${T}/sync_add_and_fetch.c" 
>/dev/null 2>&1
+       if [[ $? -ne 0 ]]; then
+               disable_instrumentation="--disable-instrumentation"
+       fi
+
+       # configure needs bash or script bombs out on some null shift, bug 
#291229
+       CONFIG_SHELL=${BASH} econf \
+               --enable-aligned \
+               $(use_enable debug) \
+               $(use_enable ssl openssl) \
+               ${disable_instrumentation} \
+               --with-posix-fallocate
+}
+
+src_install() {
+       default
+
+       find "${D}" -name '*.la' -delete
+}

Reply via email to